@echo off

setlocal EnableDelayedExpansion EnableExtensions

rem Read a path to Zulu installation
set /p ZULU_PATH=Please provide the path to Zulu instance you wish to patch: %=%

rem Check is Zulu is really there
if not exist %ZULU_PATH%\bin\java.exe goto :NOZULU

set TMPDIR=%TMP%\zcck-%RANDOM%
md %TMPDIR%

rem Dump java -version into temp file
%ZULU_PATH%\bin\java -version >%TMPDIR%\version 2>&1

for /f "tokens=*" %%i in ('findstr /rc:"Zulu [0-9]*\.[0-9]*\.[0-9]*\.[0-9]*" %TMPDIR%\version') do (set OUTPUT=%%i & goto :BREAK)

:BREAK
rem Parse Zulu name and version, major and minor digits
for /f "tokens=4,5" %%i in ("%OUTPUT%") do (set _ZULU=%%i & set _VERSION=%%j)
set ZULU=%_ZULU:~1,-1%
for /f "tokens=1 delims=-" %%i in ("%_VERSION%") do set VERSION=%%i
for /f "tokens=1,2 delims=." %%i in ("%VERSION%") do (set MAJOR=%%i & set MINOR=%%j)

rem Check version
if %MAJOR% neq 6 goto :NOVERSION
if %MINOR% leq 4 goto :NOVERSION

echo Found %ZULU% %VERSION%. Patching...

rem Copy files...
set ETC_DIR=%ZULU_PATH%\etc
if not exist %ETC_DIR% md %ETC_DIR%
copy license\* %ETC_DIR% >nul 2>&1

set FONTS_DIR=%ZULU_PATH%\jre\lib\fonts
if not exist %FONTS_DIR% md %FONTS_DIR%
copy fonts\* %FONTS_DIR% >nul 2>&1

echo Done.
goto :CLEANUP

:NOVERSION
echo Zulu Commercial Compatibility Kit version 6 requires installed Zulu 6 version 6.5 or greater.
echo Your system appears to have %ZULU% %VERSION% installed.
echo The installation will now exit...
goto :CLEANUP

:NOZULU
echo You don't seem to have valid Zulu installation in %ZULU_PATH%. Exiting...
goto :CLEANUP

:CLEANUP
if exist %TMPDIR% rd /q /s %TMPDIR%
goto :EXIT

:EXIT
